## org.eclipse.jetty.plus.jndi
Class EnvEntry

    java.lang.Object
      org.eclipse.jetty.plus.jndi.NamingEntry
          org.eclipse.jetty.plus.jndi.EnvEntry

    public class EnvEntry

extends NamingEntry

EnvEntry

Field Summary

Fields inherited from class org.eclipse.jetty.plus.jndi.NamingEntry
`__contextName, jndiName, namingEntryNameString, objectNameString, objectToBind`

Constructor Summary
`EnvEntry(java.lang.Object scope, java.lang.String jndiName, java.lang.Object objToBind, boolean overrideWebXml)`
`EnvEntry(java.lang.String jndiName, java.lang.Object objToBind)`
`EnvEntry(java.lang.String jndiName, java.lang.Object objToBind, boolean overrideWebXml)`

Method Summary
`boolean` `isOverrideWebXml()`

Methods inherited from class org.eclipse.jetty.plus.jndi.NamingEntry
`bindToENC, getJndiName, getJndiNameInScope, getObjectToBind, release, save, unbindENC`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EnvEntry

    public EnvEntry(java.lang.Object scope,
                    java.lang.String jndiName,
                    java.lang.Object objToBind,
                    boolean overrideWebXml)
             throws javax.naming.NamingException

Throws:
  `javax.naming.NamingException`

### EnvEntry

    public EnvEntry(java.lang.String jndiName,
                    java.lang.Object objToBind,
                    boolean overrideWebXml)
             throws javax.naming.NamingException

Throws:
  `javax.naming.NamingException`

### EnvEntry

    public EnvEntry(java.lang.String jndiName,
                    java.lang.Object objToBind)
             throws javax.naming.NamingException

Throws:
  `javax.naming.NamingException`

Method Detail

### isOverrideWebXml

    public boolean isOverrideWebXml()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.